Class Specialization
Iterator Proxy
Proxy that is implemented by an iterator.

Proxy

Iterator Proxy

Proxy<IteratorProxy<TIterator> >
Include Headers
seqan/basic.h
Parameters

TIterator | Iterator type.

Remarks
The value type of an iterator proxy is the value type of the iterator TIterator.
Specialization of
Proxy
Metafunctions

Difference | Type of an object that stores the difference between two iterators. (Proxy)
GetValue | Type for reading values. (Proxy)
Reference | Reference type. (Proxy)
Size | Type of an object that is suitable to hold size information. (Proxy)
Spec | The spec of a class. (Proxy)
Value | Type of the items in the container or behind an iterator. (Proxy)

Functions

iter | Iterator to item at given position.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00